Public Member Functions | Public Attributes | Friends | List of all members
ZWrtTextInternal::Font Struct Reference

Internal: struct used to store the font of a ZWrtText. More...

## Public Member Functions
| Font ()
| constructor More...

## Public Attributes
MWAWFont | m_font
| the font More...
int | m_height
| the line height More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

Internal: struct used to store the font of a ZWrtText.

## Constructor & Destructor Documentation

## ◆ Font()

ZWrtTextInternal::Font::Font | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |
| friend

operator<<

Referenced by Font().

## Member Data Documentation

## ◆ m_extra

std::string ZWrtTextInternal::Font::m_extra

extra data

Referenced by ZWrtTextInternal::HFZone::getDebugString(), ZWrtTextInternal::operator<<(), and ZWrtText::readSectionFonts().

## ◆ m_font

MWAWFont ZWrtTextInternal::Font::m_font

the font

Referenced by ZWrtTextInternal::HFZone::getDebugString(), ZWrtTextInternal::HFZone::HFZone(), ZWrtText::readSectionFonts(), and ZWrtText::sendText().

## ◆ m_height

int ZWrtTextInternal::Font::m_height

the line height

Referenced by ZWrtTextInternal::operator<<(), and ZWrtText::readSectionFonts().

The documentation for this struct was generated from the following file:

- ZWrtText.cxx